Update an AP readiness goal
curl --request PATCH \
--url https://api.alpha-1edtech.ai/ap-readiness/goals/{goalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courseIds": [
"<string>"
],
"practiceTestCourseIds": [
"<string>"
],
"endDate": "<string>"
}
'import requests
url = "https://api.alpha-1edtech.ai/ap-readiness/goals/{goalId}"
payload = {
"courseIds": ["<string>"],
"practiceTestCourseIds": ["<string>"],
"endDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
courseIds: ['<string>'],
practiceTestCourseIds: ['<string>'],
endDate: '<string>'
})
};
fetch('https://api.alpha-1edtech.ai/ap-readiness/goals/{goalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"sourcedId": "<string>",
"dateLastModified": "<string>",
"studentSourcedId": "<string>",
"goalType": "<string>",
"targetValue": "<string>",
"targetMetric": "<string>",
"paceType": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"goalCreatedAt": "<string>",
"courseIds": [
"<string>"
],
"metadata": {
"practice_test_course_ids": [
"<string>"
]
},
"curriculumCourseIds": [
"<string>"
]
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}AP Readiness
Update an AP readiness goal
Partially updates the tracked course set and/or exam date for an AP readiness goal.
PATCH
/
ap-readiness
/
goals
/
{goalId}
Update an AP readiness goal
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
AP readiness goal sourcedId
Body
application/json
Response
AP readiness goal updated
Show child attributes
Show child attributes
⌘I